Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2011-0729

CVE information

Published

11 years ago

Last Modified

11 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

dbus_backend/ls-dbus-backend in the D-Bus backend in language-selector before 0.6.7 does not restrict access on the basis of a PolicyKit check result, which allows local users to modify the /etc/default/locale and /etc/environment files via a (1) SetSystemDefaultLangEnv or (2) SetSystemDefaultLanguageEnv call..

CVSSv2.0 Score

Severity
High
Base Score
7.2/10
Exploit Score
3.9/10
Access Vector
Local
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:ubuntu:language-selector:0.4.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050926:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050531:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.30:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050912:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050819.2:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.20:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050819:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050808:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.29:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.28:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050822:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.21:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.20:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050614:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.26:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.21:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.27:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050824:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050823:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.22:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.19:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050609:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.6.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.19:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.3.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.25:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.23:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050811:*:*:*:*:
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.5.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.4.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.24:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.1.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ubuntu:language-selector:0.0\+baz20050927:*:*:*:*:
  Yes
- -